      program bbba05
c
c  fit taken from hep-ex/0602017v3
c
      implicit none
c
      real*8 a_gep(3),a_gmp(3),a_gen(3),a_gmn(3)
      real*8 b_gep(4),b_gmp(4),b_gen(4),b_gmn(4)
      real*8 gep,gmp,gen,gmn
      real*8 gd,suma,sumb,q2max,q2step,q2,tau
      integer q2num,i,na,nb
      
c
      data a_gep / 1.d00,-0.0578d00, 0.0d00 /
      data a_gmp / 1.d00, 0.150d00, 0.0d00 /
      data a_gen / 0.d00, 1.25d00, 1.30d00 /
      data a_gmn / 1.d00, 1.81d00, 0.0d00 /
c
      data b_gep / 11.1d00, 13.6d00, 33.0d00,0.d00 /
      data b_gmp / 11.1d00, 19.6d00, 7.54d00,0.d00 /
      data b_gen / -9.86d00, 305.0d00, -758.0d00, 802.0d00 /
      data b_gmn / 14.1d00, 20.7d00, 68.7d00 , 0.0d00/
c
      q2max=10.
      q2step=.1
      q2num=int(q2max/q2step)
      q2 = 0
      do i=1,q2num
            q2= q2+q2step
            tau=q2/4./.93827/.93827
            suma=0.0d00
            do na=1,3
               suma=suma+a_gep(na)*tau**(na-1)
            enddo
            sumb=1.0d00
            do nb=1,4
               sumb=sumb+b_gep(nb)*tau**(nb)
            enddo
            gep=suma/sumb
            suma=0.0d00
            do na=1,3
               suma=suma+a_gmp(na)*tau**(na-1)
            enddo
            sumb=1.0d00
            do nb=1,4
               sumb=sumb+b_gmp(nb)*tau**(nb)
            enddo
            gmp=suma/sumb
            suma=0.0d00
            do na=1,3
               suma=suma+a_gen(na)*tau**(na-1)
            enddo
            sumb=1.0d00
            do nb=1,4
               sumb=sumb+b_gen(nb)*tau**(nb)
            enddo
            gen=suma/sumb
            suma=0.0d00
            do na=1,3
               suma=suma+a_gmn(na)*tau**(na-1)
            enddo
            sumb=1.0d00
            do nb=1,4
               sumb=sumb+b_gmn(nb)*tau**(nb)
            enddo
            gmn=suma/sumb
            gd=1.0d00/(1+q2/.71)/(1+q2/.71)
            write(10,'(6(f7.4,1x))') q2,gep/gd,gmp/gd,gen,gmn/gd,gep/gmp
        enddo
c
        end
